/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.charactermaker.steps;

import java.util.AbstractMap;
import moe.nekojimi.charactermaker.Main;
import moe.nekojimi.charactermaker.RollTable;


public class NativeToungeStep extends Step
{
	private static final RollTable<String> table = new RollTable<>(100,
		new AbstractMap.SimpleEntry<>(1,"Arabic "),
		new AbstractMap.SimpleEntry<>(7,"Bengali "),
		new AbstractMap.SimpleEntry<>(10,"Cantonese/Yue "),
		new AbstractMap.SimpleEntry<>(15,"Dutch "),
		new AbstractMap.SimpleEntry<>(16,"English "),
		new AbstractMap.SimpleEntry<>(25,"Farsi/Persian "),
		new AbstractMap.SimpleEntry<>(28,"French "),
		new AbstractMap.SimpleEntry<>(32,"German "),
		new AbstractMap.SimpleEntry<>(36,"Hindi "),
		new AbstractMap.SimpleEntry<>(42,"Italian "),
		new AbstractMap.SimpleEntry<>(43,"Japanese "),
		new AbstractMap.SimpleEntry<>(48,"Javanese "),
		new AbstractMap.SimpleEntry<>(52,"Korean "),
		new AbstractMap.SimpleEntry<>(54,"Mandarin "),
		new AbstractMap.SimpleEntry<>(63,"Polish "),
		new AbstractMap.SimpleEntry<>(64,"Portuguese "),
		new AbstractMap.SimpleEntry<>(69,"Punjabi "),
		new AbstractMap.SimpleEntry<>(72,"Russian "),
		new AbstractMap.SimpleEntry<>(77,"Skandinaviska "),
		new AbstractMap.SimpleEntry<>(79,"Spanish "),
		new AbstractMap.SimpleEntry<>(85,"Swedish "),
		new AbstractMap.SimpleEntry<>(86,"Tamil "),
		new AbstractMap.SimpleEntry<>(88,"Turkish "),
		new AbstractMap.SimpleEntry<>(90,"Urdu "),
		new AbstractMap.SimpleEntry<>(93,"Vietnwamese "),
		new AbstractMap.SimpleEntry<>(95,"Wu "),
		new AbstractMap.SimpleEntry<>(99,"Other ")
	);

	@Override
	public void run()
	{
		String choice = Main.ui.showRollPrompt("Choose native tounge",table,3);
		String skillName = ("Language: " + choice).trim();
		Main.addStepFirst(new ChangeSkillStep(70, skillName));
	}

}
